You are Here:
Linux Lite 6.6 FINAL Released - Support for 22 Languages Added - See Release Announcement Section



REpository upgrade?

Author (Read 4503 times)

0 Members and 4 Guests are viewing this topic.

Re: REpository upgrade?
« Reply #9 on: October 15, 2023, 04:09:46 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 8771
    Posts
  • Reputation: 799
  • Linux Lite Member
    • View Profile
    • Linux Lite OS

  • CPU: Intel Core i9-10850K CPU @ 3.60GHz

  • MEMORY: 32Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
Just copy and paste the command carefully, or to be extra careful, just hand type it.
 

Re: REpository upgrade?
« Reply #8 on: October 14, 2023, 11:23:55 PM »
 

ohjrson

  • I know enough to get into trouble
  • Forum Regular
  • ***
  • 189
    Posts
  • Reputation: 13
  • Linux Lite Member
    • View Profile

  • CPU: Quad core

  • MEMORY: 32Gb

  • Kernel: 4.x
1. Remove the Teamviewer repository - https://www.linuxliteos.com/manual/software.html#pparem then be sure to remove the key on the Authentication tab of that same window.

2. Skype - try:

Code: [Select]
sudo apt-key export DF7587C3 | sudo gpg --dearmour -o /etc/apt/trusted.gpg.d/skypeforlinux.gpg && sudo apt-key --keyring /etc/apt/trusted.gpg del DF7587C3;
Update again and see if errors persist.

I am not sure if I did it right but this is what I got after....
 ohjrson  ~  ^[[200~sudo apt-key export DF7587C3 | sudo gpg --dearmour -o /etc/apt/trusted.gpg.d/skypeforlinux.gpg && sudo apt-key --keyring /etc/apt/trusted.gpg del DF7587C3;~
[sudo] password for ohjrson: sudo: command not found

File '/etc/apt/trusted.gpg.d/skypeforlinux.gpg' exists. Overwrite? (y/N) y
gpg: no valid OpenPGP data found.
bash: /home/ohjrson: Is a directory
 ohjrson  ~  126 



edit-- I did the first thing you suggested and that worked --- from the link you provided about the pparem
Just have a look at what I posted. Did I do anything wrong, bad, or ???


Thanks.
« Last Edit: October 14, 2023, 11:32:47 PM by ohjrson »
LL 6.2 Dell Power Edge T310 Quad core 32g
LL 4.8 Acer E5-722-49HD A4-7210 Quad core
LL 6.2 Acer AX3812-E9502 intel Quad core
LL 6.2 Dell Optiplex 755 intel Core 2 duo
LL 3.8 Acer Aspire 3000 AMD processor
Simple, Fast, Efficient, Free, and Beats Windows all to hell.
 

Re: REpository upgrade?
« Reply #7 on: October 06, 2023, 08:02:05 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 8771
    Posts
  • Reputation: 799
  • Linux Lite Member
    • View Profile
    • Linux Lite OS

  • CPU: Intel Core i9-10850K CPU @ 3.60GHz

  • MEMORY: 32Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
1. Remove the Teamviewer repository - https://www.linuxliteos.com/manual/software.html#pparem then be sure to remove the key on the Authentication tab of that same window.

2. Skype - try:

Code: [Select]
sudo apt-key export DF7587C3 | sudo gpg --dearmour -o /etc/apt/trusted.gpg.d/skypeforlinux.gpg && sudo apt-key --keyring /etc/apt/trusted.gpg del DF7587C3;
Update again and see if errors persist.
 

Re: REpository upgrade?
« Reply #6 on: October 06, 2023, 05:29:23 PM »
 

stevef

  • Global Moderator
  • Gold Level Poster
  • *****
  • 749
    Posts
  • Reputation: 141
  • Linux Lite Member
    • View Profile

  • CPU: Intel Core i5-4460

  • MEMORY: 16Gb

  • Kernel: 5.x
Quote
How did you install Teamviewer ? A- through the updates...

I'm confused.  Updates do not install applications, something is happening that I don't understand.
clueless
 

Re: REpository upgrade?
« Reply #5 on: October 05, 2023, 09:53:25 PM »
 

ohjrson

  • I know enough to get into trouble
  • Forum Regular
  • ***
  • 189
    Posts
  • Reputation: 13
  • Linux Lite Member
    • View Profile

  • CPU: Quad core

  • MEMORY: 32Gb

  • Kernel: 4.x
Yes. I *think* you have a 6.4 system which cannot update/upgrade properly because of the TeamViewer problem.
In turn this prevents the option to do in-series to 6.6.

The references to Teamviewer development and preview repositories are unexpected.
How did you install Teamviewer ? A- through the updates....


So How do I go about resolving this?----K so I thought I would just remove Team viewer using the install/remove software tool. ----- this is what happened.

===========================
Install Updates Error log
===========================
Install Updates could not fetch the package cache information lists.
Go to https://www.linuxliteos.com/forums/ and paste the log below into the Software - Support - Updates section for assistance.

============ Log ===========

Hit:1 http://archive.ubuntu.com/ubuntu jammy InRelease
Hit:2 http://archive.ubuntu.com/ubuntu jammy-security InRelease
Hit:3 https://dl.google.com/linux/chrome/deb stable InRelease
Hit:4 http://archive.ubuntu.com/ubuntu jammy-updates InRelease
Hit:5 http://archive.ubuntu.com/ubuntu jammy-backports InRelease
Hit:6 https://linux.teamviewer.com/deb stable InRelease
Get:7 https://linux.teamviewer.com/deb preview InRelease [10.2 kB]
Hit:8 https://repo.skype.com/deb stable InRelease
Err:9 https://linux.teamviewer.com/deb development InRelease
  403  Forbidden [IP: 2600:9000:26c2:800:1c:3aaa:b100:93a1 443]
Err:7 https://linux.teamviewer.com/deb preview InRelease
  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY C5E224500C1289C0
Hit:10 http://repository.spotify.com stable InRelease
Hit:11 http://mirror.clarkson.edu/linux-lite fluorite InRelease
Hit:12 http://archive.canonical.com jammy InRelease
Reading package lists...
E: Failed to fetch https://linux.teamviewer.com/deb/dists/development/InRelease  403  Forbidden [IP: 2600:9000:26c2:800:1c:3aaa:b100:93a1 443]
E: The repository 'https://linux.teamviewer.com/deb development InRelease' is not signed.
W: GPG error: https://linux.teamviewer.com/deb preview InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY C5E224500C1289C0
E: The repository 'https://linux.teamviewer.com/deb preview InRelease' is not signed.
W: https://repo.skype.com/deb/dists/stable/InRelease: Key is stored in legacy trusted.gpg keyring (/etc/apt/trusted.gpg), see the DEPRECATION section in apt-key(8) for details.
« Last Edit: October 05, 2023, 10:00:03 PM by ohjrson »
LL 6.2 Dell Power Edge T310 Quad core 32g
LL 4.8 Acer E5-722-49HD A4-7210 Quad core
LL 6.2 Acer AX3812-E9502 intel Quad core
LL 6.2 Dell Optiplex 755 intel Core 2 duo
LL 3.8 Acer Aspire 3000 AMD processor
Simple, Fast, Efficient, Free, and Beats Windows all to hell.
 

Re: REpository upgrade?
« Reply #4 on: October 03, 2023, 01:27:46 AM »
 

stevef

  • Global Moderator
  • Gold Level Poster
  • *****
  • 749
    Posts
  • Reputation: 141
  • Linux Lite Member
    • View Profile

  • CPU: Intel Core i5-4460

  • MEMORY: 16Gb

  • Kernel: 5.x
Yes. I *think* you have a 6.4 system which cannot update/upgrade properly because of the TeamViewer problem.
In turn this prevents the option to do in-series to 6.6.

The references to Teamviewer development and preview repositories are unexpected.
How did you install Teamviewer ?
clueless
 

Re: REpository upgrade?
« Reply #3 on: October 02, 2023, 06:33:12 PM »
 

ohjrson

  • I know enough to get into trouble
  • Forum Regular
  • ***
  • 189
    Posts
  • Reputation: 13
  • Linux Lite Member
    • View Profile

  • CPU: Quad core

  • MEMORY: 32Gb

  • Kernel: 4.x
There seems to be a mixture of symptoms about an in-series upgrade and a definite problem with Team Viewer.

What version of Linux Lite do you think you were running before attempting the in-series upgrade? A-6.4
If you have you already tried a manual in-series upgrade, please explain how and what happened. A-When I clicked on the settings, Lite upgrade = a window that says No need to upgrade you are already running the latest release.

If there is any confusion about what version of Linux Lite you are running there are some quick checks you can do.
Open a terminal (press three keys 'Ctrl' 'Alt' 'T' together) and in the window that opens type these commands followed by return.
Code: [Select]
inxi -S
Code: [Select]
cat /etc/llver A- All confirm v6.4 LL


Quote
In my upgrade it does not say upgrade to 6.6 just 6.4
This suggests you may be looking at the 'Lite Welcome' screen of a 6.2 system.  Can you confirm where you see this please ?

Quote
When I try the seris upgrade it says I am running the current version.
What do you do to see this message ? (eg from Upgrading using the Lite Welcome screen or by clicking 'Menu'-> 'Settings'-> 'Lite Upgrade' or some other way.) A-By clicking Settings>Lite Upgrade

It also looks like you have a problem doing a routine update, upgrade cycle due to the Team Viewer problem.
How long have you had this issue ? A-As far as I know just this attempt to do an upgrade.
I have tried to install updates and I get an error saying there are problems.
This is what I get:

===========================
Install Updates Error log
===========================
Install Updates could not fetch the package cache information lists.
Go to https://www.linuxliteos.com/forums/ and paste the log below into the Software - Support - Updates section for assistance.

============ Log ===========

Hit:1 http://mirror.clarkson.edu/linux-lite fluorite InRelease
Hit:2 http://archive.canonical.com jammy InRelease
Hit:3 http://archive.ubuntu.com/ubuntu jammy InRelease
Hit:4 http://archive.ubuntu.com/ubuntu jammy-security InRelease
Hit:5 https://repo.skype.com/deb stable InRelease
Hit:6 http://archive.ubuntu.com/ubuntu jammy-updates InRelease
Hit:7 http://archive.ubuntu.com/ubuntu jammy-backports InRelease
Hit:8 https://linux.teamviewer.com/deb stable InRelease
Get:9 https://linux.teamviewer.com/deb preview InRelease [10.2 kB]
Err:10 https://linux.teamviewer.com/deb development InRelease
  403  Forbidden [IP: 2600:9000:26c2:b400:1c:3aaa:b100:93a1 443]
Err:9 https://linux.teamviewer.com/deb preview InRelease
  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY C5E224500C1289C0
Hit:11 https://dl.google.com/linux/chrome/deb stable InRelease
Hit:12 http://repository.spotify.com stable InRelease
Reading package lists...
W: https://repo.skype.com/deb/dists/stable/InRelease: Key is stored in legacy trusted.gpg keyring (/etc/apt/trusted.gpg), see the DEPRECATION section in apt-key(8) for details.
E: Failed to fetch https://linux.teamviewer.com/deb/dists/development/InRelease  403  Forbidden [IP: 2600:9000:26c2:b400:1c:3aaa:b100:93a1 443]
E: The repository 'https://linux.teamviewer.com/deb development InRelease' is not signed.
W: GPG error: https://linux.teamviewer.com/deb preview InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY C5E224500C1289C0
E: The repository 'https://linux.teamviewer.com/deb preview InRelease' is not signed.


The Team Viewer forum has several reports of this problem - I've not looked at them all, but for example this thread suggests there was a temporary problem earlier this year
Code: [Select]
https://community.teamviewer.com/English/discussion/128826/cannot-update-on-ubuntu-repository-is-no-longer-signedWhereas this thread suggests a couple of methods adding the key.
Code: [Select]
https://community.teamviewer.com/English/discussion/126616/official-repo-public-key-not-availableYou may want to review  their forum to find a trusted solution. But I'd suggest this needs to be sorted before trying to do any in-series upgrade.

Clearly Team viewer has an issue so I will try to uncheck that repository and try again.
Thanks for your help
LL 6.2 Dell Power Edge T310 Quad core 32g
LL 4.8 Acer E5-722-49HD A4-7210 Quad core
LL 6.2 Acer AX3812-E9502 intel Quad core
LL 6.2 Dell Optiplex 755 intel Core 2 duo
LL 3.8 Acer Aspire 3000 AMD processor
Simple, Fast, Efficient, Free, and Beats Windows all to hell.
 

Re: REpository upgrade?
« Reply #2 on: October 02, 2023, 01:18:59 AM »
 

stevef

  • Global Moderator
  • Gold Level Poster
  • *****
  • 749
    Posts
  • Reputation: 141
  • Linux Lite Member
    • View Profile

  • CPU: Intel Core i5-4460

  • MEMORY: 16Gb

  • Kernel: 5.x
There seems to be a mixture of symptoms about an in-series upgrade and a definite problem with Team Viewer.

What version of Linux Lite do you think you were running before attempting the in-series upgrade?
If you have you already tried a manual in-series upgrade, please explain how and what happened.

If there is any confusion about what version of Linux Lite you are running there are some quick checks you can do.
Open a terminal (press three keys 'Ctrl' 'Alt' 'T' together) and in the window that opens type these commands followed by return.
Code: [Select]
inxi -S
Code: [Select]
cat /etc/llver

Quote
In my upgrade it does not say upgrade to 6.6 just 6.4
This suggests you may be looking at the 'Lite Welcome' screen of a 6.2 system.  Can you confirm where you see this please ?

Quote
When I try the seris upgrade it says I am running the current version.
What do you do to see this message ? (eg from Upgrading using the Lite Welcome screen or by clicking 'Menu'-> 'Settings'-> 'Lite Upgrade' or some other way.)

It also looks like you have a problem doing a routine update, upgrade cycle due to the Team Viewer problem.
How long have you had this issue ?

The Team Viewer forum has several reports of this problem - I've not looked at them all, but for example this thread suggests there was a temporary problem earlier this year
Code: [Select]
https://community.teamviewer.com/English/discussion/128826/cannot-update-on-ubuntu-repository-is-no-longer-signedWhereas this thread suggests a couple of methods adding the key.
Code: [Select]
https://community.teamviewer.com/English/discussion/126616/official-repo-public-key-not-availableYou may want to review  their forum to find a trusted solution. But I'd suggest this needs to be sorted before trying to do any in-series upgrade.
clueless
 

REpository upgrade?
« Reply #1 on: October 01, 2023, 09:57:14 PM »
 

ohjrson

  • I know enough to get into trouble
  • Forum Regular
  • ***
  • 189
    Posts
  • Reputation: 13
  • Linux Lite Member
    • View Profile

  • CPU: Quad core

  • MEMORY: 32Gb

  • Kernel: 4.x

Quote
There is some way to upgrade to the 6.6 version from my current one (6.4)  without erasing my disk ?
Yes, just done it on my system.  In-series upgrade don't involve re-installs.


From the Lite Welcome screen
Select Install Updates
Scroll Down to find an Upgrade to 6.6 button


Or
Menu
Settings
Lite Upgrade


If you don't see these options, the instructions in the announcement should help.




In my upgrade it does not say upgrade to 6.6 just 6.4 and When I try the seris upgrade it says I am running the current version.
Why?


This also happens when I try to do a repository upgrade.
===========================
Install Updates Error log
===========================
Install Updates could not fetch the package cache information lists.
Go to https://www.linuxliteos.com/forums/ and paste the log below into the Software - Support - Updates section for assistance.


============ Log ===========


Hit:1 https://linux.teamviewer.com/deb stable InRelease
Get:2 https://linux.teamviewer.com/deb preview InRelease [10.2 kB]
Hit:3 http://archive.ubuntu.com/ubuntu jammy InRelease
Get:4 http://archive.ubuntu.com/ubuntu jammy-security InRelease [110 kB]
Hit:5 https://repo.skype.com/deb stable InRelease
Err:6 https://linux.teamviewer.com/deb development InRelease
  403  Forbidden [IP: 2600:9000:26c2:b000:1c:3aaa:b100:93a1 443]
Err:2 https://linux.teamviewer.com/deb preview InRelease
  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY C5E224500C1289C0
Get:7 http://archive.ubuntu.com/ubuntu jammy-updates InRelease [119 kB]
Hit:8 http://archive.ubuntu.com/ubuntu jammy-backports InRelease
Hit:9 http://archive.canonical.com jammy InRelease
Hit:10 http://mirror.clarkson.edu/linux-lite fluorite InRelease
Hit:11 http://repository.spotify.com stable InRelease
Ign:12 https://dl.google.com/linux/chrome/deb stable InRelease
Hit:12 https://dl.google.com/linux/chrome/deb stable InRelease
Reading package lists...
E: Failed to fetch https://linux.teamviewer.com/deb/dists/development/InRelease  403  Forbidden [IP: 2600:9000:26c2:b000:1c:3aaa:b100:93a1 443]
E: The repository 'https://linux.teamviewer.com/deb development InRelease' is not signed.
W: GPG error: https://linux.teamviewer.com/deb preview InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY C5E224500C1289C0
E: The repository 'https://linux.teamviewer.com/deb preview InRelease' is not signed.
W: https://repo.skype.com/deb/dists/stable/InRelease: Key is stored in legacy trusted.gpg keyring (/etc/apt/trusted.gpg), see the DEPRECATION section in apt-key(8) for details.


Whats up?
LL 6.2 Dell Power Edge T310 Quad core 32g
LL 4.8 Acer E5-722-49HD A4-7210 Quad core
LL 6.2 Acer AX3812-E9502 intel Quad core
LL 6.2 Dell Optiplex 755 intel Core 2 duo
LL 3.8 Acer Aspire 3000 AMD processor
Simple, Fast, Efficient, Free, and Beats Windows all to hell.
 

 

-->
X Close Ad

Linux Lite 6.6 FINAL Released - Support for 22 Languages Added - See Release Announcement Section